Subject: Re: [REROLL PATCH 2/8] Support mandatory capabilities

From: Ilari Liusvaara <[email-masked]>
Date: Wed, 9 Dec 2009 17:12:30 +0200

On Tue, Dec 08, 2009 at 03:34:34PM -0800, Junio C Hamano wrote:
> Ilari Liusvaara <[email-masked]> writes:

> > +			fflush(stderr);
> > +			die("Unknown madatory capability %s. This remote "
> > +			    "helper probably needs newer version of Git.\n",
> > +			    capname);
> 
> Why fflush() here?  Is the reason for needing to flush stderr before
> letting die() to write into it very specific to this codepath, or shared
> among other callers of die()?  I am wondering if we should add this
> fflush() to report() in usage.c instead.

No idea why its there (anymore). Die will flush stderr anyway via exit.
Removed.

-Ilari